# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pvxs-sys"
version = "0.1.0"
authors = ["Tine Zata <https://github.com/TineZata>"]
build = "build.rs"
links = "pvxs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Low-level FFI bindings for EPICS PVXS library"
homepage = "https://github.com/ctrl-sys-ui/pvxs-sys"
documentation = "https://docs.rs/pvxs-sys"
readme = "README.md"
keywords = [
    "epics",
    "pvxs",
    "control-system",
    "ffi",
    "sys",
]
categories = [
    "external-ffi-bindings",
    "science",
]
license = "MPL-2.0"
repository = "https://github.com/ctrl-sys-ui/pvxs-sys"

[package.metadata.docs.rs]
rustdoc-args = [
    "--cfg",
    "docsrs",
]
no-default-features = true
features = []

[features]
async = [
    "tokio",
    "futures",
]
default = ["async"]

[lib]
name = "pvxs_sys"
path = "src/lib.rs"

[[example]]
name = "metadata_server"
path = "examples/metadata_server.rs"

[[test]]
name = "test_pvxs_local_double_array_fetch_post"
path = "tests/test_pvxs_local_double_array_fetch_post.rs"

[[test]]
name = "test_pvxs_local_double_fetch_post"
path = "tests/test_pvxs_local_double_fetch_post.rs"

[[test]]
name = "test_pvxs_local_enum_fetch_post"
path = "tests/test_pvxs_local_enum_fetch_post.rs"

[[test]]
name = "test_pvxs_local_int32_array_fetch_post"
path = "tests/test_pvxs_local_int32_array_fetch_post.rs"

[[test]]
name = "test_pvxs_local_int32_fetch_post"
path = "tests/test_pvxs_local_int32_fetch_post.rs"

[[test]]
name = "test_pvxs_local_string_array_fetch_post"
path = "tests/test_pvxs_local_string_array_fetch_post.rs"

[[test]]
name = "test_pvxs_local_string_fetch_post"
path = "tests/test_pvxs_local_string_fetch_post.rs"

[[test]]
name = "test_pvxs_monitor_builder"
path = "tests/test_pvxs_monitor_builder.rs"

[[test]]
name = "test_pvxs_monitor_callbacks"
path = "tests/test_pvxs_monitor_callbacks.rs"

[[test]]
name = "test_pvxs_monitor_errors"
path = "tests/test_pvxs_monitor_errors.rs"

[[test]]
name = "test_pvxs_remote_double_array_get_put"
path = "tests/test_pvxs_remote_double_array_get_put.rs"

[[test]]
name = "test_pvxs_remote_double_get_put"
path = "tests/test_pvxs_remote_double_get_put.rs"

[[test]]
name = "test_pvxs_remote_enum_get_put"
path = "tests/test_pvxs_remote_enum_get_put.rs"

[[test]]
name = "test_pvxs_remote_int32_array_get_put"
path = "tests/test_pvxs_remote_int32_array_get_put.rs"

[[test]]
name = "test_pvxs_remote_int32_get_put"
path = "tests/test_pvxs_remote_int32_get_put.rs"

[[test]]
name = "test_pvxs_remote_string_array_get_put"
path = "tests/test_pvxs_remote_string_array_get_put.rs"

[[test]]
name = "test_pvxs_remote_string_get_put"
path = "tests/test_pvxs_remote_string_get_put.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.cxx]
version = "1.0.120"

[dependencies.futures]
version = "0.3"
optional = true

[dependencies.tokio]
version = "1.0"
features = ["full"]
optional = true

[dev-dependencies.serial_test]
version = "3.0"

[build-dependencies.cxx-build]
version = "1.0.189"
